body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
    monospace;
}

sl-dialog .dialog__body {
  /* TODO: doesn't work */
  padding-top: calc(var(--body-spacing) / 2); 
}

.card-compact::part(base){ height: 100%;}

sl-alert::part(message){
  padding-top: var(--sl-spacing-medium); /* default spacing looks bigger in Y-axis because text has some extra space */
  padding-bottom: var(--sl-spacing-medium); 
}

.sortable-ghost {
  opacity: 0.4;
  background-color: rgba(0,0,50,0.2);
}

/* .sortable-chosen { */
.sortable-drag {
  background-color: rgba(0,0,50,0.7);
}

/* adapted from: https://unocss.dev/interactive/?s=animate-fade-in-up */
@keyframes fade-in-up-small {
  from {
    opacity: 0;
    transform: translate3d(0, 10%, 0);
  }
  to {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}

.menu-tight {
  --sl-line-height-normal: 24px;
}
.menu-tight .menu-item__check {
  display: none;
}
@media (hover: none) {
  .menu-tight {
    --sl-line-height-normal: 28px;
  }
}